%global pkgname Text-Xslate

Name:           perl-Text-Xslate
Version:        3.2.5
Release:        1%{?dist}
Summary:        Scalable template engine
License:        GPL+ or Artistic
URL:            http://xslate.org/
Source0:        http://www.cpan.org/authors/id/G/GF/GFUJI/%{pkgname}-%{version}.tar.gz
BuildRequires:  perl(B)
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(CGI)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Devel::StackTrace)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Data::MessagePack)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::MM_Unix)
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(Fatal)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::stat)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(if)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Mouse)
BuildRequires:  perl(Mouse::Role)
BuildRequires:  perl(Mouse::Util::TypeConstraints)
BuildRequires:  perl(overload)
BuildRequires:  perl(parent)
BuildRequires:  perl(Plack::Builder)
BuildRequires:  perl(Plack::Response)
BuildRequires:  perl(Plack::Test)
BuildRequires:  perl(strict)
BuildRequires:  perl(SelectSaver)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(threads)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Tie::Array)
BuildRequires:  perl(Time::localtime)
BuildRequires:  perl(utf8)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
# Tests only.
BuildRequires:  perl(Devel::StackTrace)
BuildRequires:  perl(Test::LeakTrace)
BuildRequires:  perl(Template)
BuildRequires:  perl(Template::Plugin::String)
BuildRequires:  perl(Plack)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(B)
Requires:       perl(Data::Dumper)
Requires:       perl(Digest::MD5)
Requires:       perl(Encode)
Requires:       perl(File::Path)
Requires:       perl(Scalar::Util)
Requires:       perl(XSLoader)

%description
Xslate is a template engine, tuned for persistent applications, safe as an
HTML generator, and with rich features.

%prep
%setup -qn %{pkgname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes HACKING README.md example/
%{_bindir}/xslate
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Text*
%{_mandir}/man1/xslate.1*
%{_mandir}/man3/*

%changelog
* Wed Jul 16 2014 Christopher Meng <rpm@cicku.me> - 3.2.5-1
- Update to 3.2.5

* Tue Jul 01 2014 Christopher Meng <rpm@cicku.me> - 3.2.4-1
- Update to 3.2.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 20 2014 Christopher Meng <rpm@cicku.me> - 3.1.2-2
- Satisfy the test section.

* Thu Feb 20 2014 Christopher Meng <rpm@cicku.me> - 3.1.2-1
- Update to 3.1.2

* Fri Jan 24 2014 Christopher Meng <rpm@cicku.me> - 3.1.1-1
- Update to 3.1.1
- Remove unneeded requires.

* Tue Nov 26 2013 Christopher Meng <rpm@cicku.me> - 3.1.0-1
- Update to 3.1.0

* Tue Jul 23 2013 Christopher Meng <rpm@cicku.me> - 2.0009-1
- New version.
- BRs/Rs fix.

* Mon Jul 15 2013 Christopher Meng <rpm@cicku.me> - 2.0007-2
- SPEC cleanup.

* Fri Jun 21 2013 Christopher Meng <rpm@cicku.me> - 2.0007-1
- Initial Package.
